package org.fouram.core.util;

import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.google.common.base.Splitter;
import com.google.common.collect.Lists;

/**
 * String工具类
 */
public class SplitUtil {

	public static List<String> split(String str, String split) {
		List<String> list = Lists.newArrayList();
		if (StringUtils.isBlank(str)) {
			return list;
		}
		for (String s : Splitter.on(split).splitToList(str)) {
			if (StringUtils.isNotBlank(s)) {
				list.add(s);
			}
		}
		return list;
	}

	public static List<Long> splitToLong(String str, String split) {
		List<Long> list = Lists.newArrayList();
		if (StringUtils.isBlank(str)) {
			return list;
		}
		for (String s : Splitter.on(split).splitToList(str)) {
			if (StringUtils.isNotBlank(s)) {
				list.add(Long.valueOf(s));
			}
		}
		return list;
	}
	
	public static Long getLastToLong(String str, String split) {
		List<Long> list = splitToLong(str, ",");
		return list.get(list.size() - 1);
	}
	public static void main(String[] args) {
		System.out.println(getLastToLong("97316,98514,99113,,97915", ","));
	}
	public static String getString(List<String> list, int i) {
		if (list.size() > i) {
			return list.get(i);
		}
		return "";
	}
}
