package org.fouram.enums;

import org.apache.commons.lang3.StringUtils;

public enum RelationshipTypeEnum {

	CHILD("29111", 1, "子女"), SPOUSE("29102", 2, "配偶"), DAD("29104", 3, "父亲"), MOM("29105", 3, "母亲");

	private final String sapCode;
	private final Integer myCode;
	private final String desc;

	RelationshipTypeEnum(String sapCode, Integer myCode, String desc) {
		this.sapCode = sapCode;
		this.myCode = myCode;
		this.desc = desc;
	}

	public String getSapCode() {
		return sapCode;
	}

	public String getDesc() {
		return desc;
	}

	public Integer getMyCode() {
		return myCode;
	}

	public static RelationshipTypeEnum getEnumBySapCode(String sapCode) {
		if (StringUtils.isBlank(sapCode)) {
			return null;
		}
		for (RelationshipTypeEnum instance : values()) {
			if (instance.getSapCode() == sapCode || instance.getSapCode().equals(sapCode)) {
				return instance;
			}
		}
		return null;
	}
}