package org.fouram.service;

import java.util.Iterator;

import org.fouram.core.base.service.BaseService;
import org.fouram.core.util.JsonNodeUtil;
import org.fouram.entity.SapPerPersonal;
import org.springframework.stereotype.Service;

import com.fasterxml.jackson.databind.JsonNode;

@Service
public class SapPerPersonalService extends BaseService {

	public void saveSapData() throws Exception {
		
		delete("SapPerPersonalMapper.deleteAll", null);

		String url = "https://api15.sapsf.cn/odata/v2/PerPersonal?$format=json";
		JsonNode node = requestService.getForObject(url, getHttpHeaders());
		if (node != null) {
			Iterator<JsonNode> iterator = node.get("d").get("results").elements();
			while (iterator.hasNext()) {
				JsonNode userNode = iterator.next();
				String personId = JsonNodeUtil.getValue(userNode, "personIdExternal");
				String firstName = JsonNodeUtil.getValue(userNode, "firstName");// 名字
				String lastName = JsonNodeUtil.getValue(userNode, "lastName");// 姓氏
				String displayName = JsonNodeUtil.getValue(userNode, "displayName");// 英文全名
				String formalName = JsonNodeUtil.getValue(userNode, "formalName");// 全名
				String nationality = JsonNodeUtil.getValue(userNode, "nationality");// 国籍
				String gender = JsonNodeUtil.getValue(userNode, "gender");// 性别
				String maritalStatus = getLabelValue(JsonNodeUtil.getValue(userNode, "maritalStatus"));// 婚姻状况
				String firstNameAlt1 = JsonNodeUtil.getValue(userNode, "firstNameAlt1");// 英文名
				String lastNameAlt1 = JsonNodeUtil.getValue(userNode, "lastNameAlt1");// 英文姓
				String firstNameAlt2 = JsonNodeUtil.getValue(userNode, "firstNameAlt2");// 拼音名
				String lastNameAlt2 = JsonNodeUtil.getValue(userNode, "lastNameAlt2");// 拼音姓
				SapPerPersonal entity = SapPerPersonal.builder().personId(personId).firstName(firstName)
						.lastName(lastName).displayName(displayName).formalName(formalName).nationality(nationality)
						.gender(gender).maritalStatus(maritalStatus).firstNameAlt1(firstNameAlt1)
						.lastNameAlt1(lastNameAlt1).firstNameAlt2(firstNameAlt2).lastNameAlt2(lastNameAlt2).build();
				save("SapPerPersonalMapper.save", entity);
			}
		}
	}

	public SapPerPersonal selectOneByPersonId(String personId) throws Exception {
		return (SapPerPersonal) findObject("SapPerPersonalMapper.selectOneByPersonId", personId);
	}
}
